#pragma once

#include <saas/rtyserver/components/generator/builder.h>

namespace NRTYServer {
    struct TGenericGeneratorBuilder : TBaseIndexBuilder {
        using TBaseIndexBuilder::TBaseIndexBuilder;

        bool Start() final;
        bool Stop() final;

        bool DoClose(const TBuilderCloseContext&) final;
    };
}
